<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum PageLayoutEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case Standard = 'standard';
  case SidebarLeft = 'left';
  case SidebarRight = 'right';

  public const SETTING_LABEL = 'AUX page layout';

  public function label(): string
  {
    return match($this) {
      self::Standard => 'Standard',
      self::SidebarLeft => 'Sidebar Left',
      self::SidebarRight => 'Sidebar Right',
    };
  }
}
